import { cacheStringFunction } from './chunk-2Z727VLZ.mjs';

// src/hyphenate.ts
var hyphenateRE = /\B([A-Z])/g;
var hyphenate = cacheStringFunction(
  (str) => str.replace(hyphenateRE, "-$1").toLowerCase()
);

export { hyphenate };
